published on Thursday, Oct 22, 2026 by Pulumi
published on Thursday, Oct 22, 2026 by Pulumi
This data source provides the list of Subsetting Policy Subsetting Rules in Oracle Cloud Infrastructure Data Safe service.
Gets a list of subsetting rules present in the specified subsetting policy and based on the specified query parameters. A subsetting rule is the criteria that tells Data Safe which rows to retain from the selected starting table for a subsetting operation. It is the entry point for the subset. Data Safe uses this rule, along with the propagation setting, to determine the related rows that must also be retained across parent and child tables.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testSubsettingPolicySubsettingRules = oci.datasafe.getSubsettingPolicySubsettingRules({
subsettingPolicyId: testSubsettingPolicy.id,
objects: subsettingPolicySubsettingRuleObject,
schemaNames: subsettingPolicySubsettingRuleSchemaName,
});
import pulumi
import pulumi_oci as oci
test_subsetting_policy_subsetting_rules = oci.datasafe.get_subsetting_policy_subsetting_rules(subsetting_policy_id=test_subsetting_policy["id"],
objects=subsetting_policy_subsetting_rule_object,
schema_names=subsetting_policy_subsetting_rule_schema_name)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := datasafe.GetSubsettingPolicySubsettingRules(ctx, &datasafe.GetSubsettingPolicySubsettingRulesArgs{
SubsettingPolicyId: testSubsettingPolicy.Id,
Objects: subsettingPolicySubsettingRuleObject,
SchemaNames: subsettingPolicySubsettingRuleSchemaName,
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testSubsettingPolicySubsettingRules = Oci.DataSafe.GetSubsettingPolicySubsettingRules.Invoke(new()
{
SubsettingPolicyId = testSubsettingPolicy.Id,
Objects = subsettingPolicySubsettingRuleObject,
SchemaNames = subsettingPolicySubsettingRuleSchemaName,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.DataSafe.DataSafeFunctions;
import com.pulumi.oci.DataSafe.inputs.GetSubsettingPolicySubsettingRulesArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testSubsettingPolicySubsettingRules = DataSafeFunctions.getSubsettingPolicySubsettingRules(GetSubsettingPolicySubsettingRulesArgs.builder()
.subsettingPolicyId(testSubsettingPolicy.get("id"))
.objects(subsettingPolicySubsettingRuleObject)
.schemaNames(subsettingPolicySubsettingRuleSchemaName)
.build());
}
}
variables:
testSubsettingPolicySubsettingRules:
fn::invoke:
function: oci:DataSafe:getSubsettingPolicySubsettingRules
arguments:
subsettingPolicyId: ${testSubsettingPolicy.id}
objects: ${subsettingPolicySubsettingRuleObject}
schemaNames: ${subsettingPolicySubsettingRuleSchemaName}
terraform {
required_providers {
oci = {
source = "pulumi/oci"
}
}
}
data "oci_data_safe_subsetting_policy_subsetting_rules" "testSubsettingPolicySubsettingRules" {
subsetting_policy_id = testSubsettingPolicy.id
objects = subsettingPolicySubsettingRuleObject
schema_names = subsettingPolicySubsettingRuleSchemaName
}
Using getSubsettingPolicySubsettingRules
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSubsettingPolicySubsettingRules(args: GetSubsettingPolicySubsettingRulesArgs, opts?: InvokeOptions): Promise<GetSubsettingPolicySubsettingRulesResult>
function getSubsettingPolicySubsettingRulesOutput(args: GetSubsettingPolicySubsettingRulesOutputArgs, opts?: InvokeOutputOptions): Output<GetSubsettingPolicySubsettingRulesResult>def get_subsetting_policy_subsetting_rules(filters: Optional[Sequence[GetSubsettingPolicySubsettingRulesFilter]] = None,
objects: Optional[Sequence[str]] = None,
schema_names: Optional[Sequence[str]] = None,
subsetting_policy_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSubsettingPolicySubsettingRulesResult
def get_subsetting_policy_subsetting_rules_output(filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetSubsettingPolicySubsettingRulesFilterArgs]]]] = None,
objects: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
schema_names: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
subsetting_policy_id: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOutputOptions] = None) -> Output[GetSubsettingPolicySubsettingRulesResult]func GetSubsettingPolicySubsettingRules(ctx *Context, args *GetSubsettingPolicySubsettingRulesArgs, opts ...InvokeOption) (*GetSubsettingPolicySubsettingRulesResult, error)
func GetSubsettingPolicySubsettingRulesOutput(ctx *Context, args *GetSubsettingPolicySubsettingRulesOutputArgs, opts ...InvokeOption) GetSubsettingPolicySubsettingRulesResultOutput> Note: This function is named GetSubsettingPolicySubsettingRules in the Go SDK.
public static class GetSubsettingPolicySubsettingRules
{
public static Task<GetSubsettingPolicySubsettingRulesResult> InvokeAsync(GetSubsettingPolicySubsettingRulesArgs args, InvokeOptions? opts = null)
public static Output<GetSubsettingPolicySubsettingRulesResult> Invoke(GetSubsettingPolicySubsettingRulesInvokeArgs args, InvokeOptions? opts = null)
public static Output<GetSubsettingPolicySubsettingRulesResult> Invoke(GetSubsettingPolicySubsettingRulesInvokeArgs args, InvokeOutputOptions opts)
}public static CompletableFuture<GetSubsettingPolicySubsettingRulesResult> getSubsettingPolicySubsettingRules(GetSubsettingPolicySubsettingRulesArgs args, InvokeOptions options)
public static Output<GetSubsettingPolicySubsettingRulesResult> getSubsettingPolicySubsettingRules(GetSubsettingPolicySubsettingRulesArgs args, InvokeOptions options)
public static Output<GetSubsettingPolicySubsettingRulesResult> getSubsettingPolicySubsettingRules(GetSubsettingPolicySubsettingRulesArgs args, InvokeOutputOptions options)
fn::invoke:
function: oci:DataSafe/getSubsettingPolicySubsettingRules:getSubsettingPolicySubsettingRules
arguments:
# arguments dictionarydata "oci_data_safe_get_subsetting_policy_subsetting_rules" "name" {
# arguments
}The following arguments are supported:
- Subsetting
Policy stringId - The OCID of the subsetting policy.
- Filters
List<Get
Subsetting Policy Subsetting Rules Filter> - Objects List<string>
- A filter to return only items related to a specific object name.
- Schema
Names List<string> - A filter to return only items related to specific schema name.
- Subsetting
Policy stringId - The OCID of the subsetting policy.
- Filters
[]Get
Subsetting Policy Subsetting Rules Filter - Objects []string
- A filter to return only items related to a specific object name.
- Schema
Names []string - A filter to return only items related to specific schema name.
- subsetting_
policy_ stringid - The OCID of the subsetting policy.
- filters list(object)
- objects list(string)
- A filter to return only items related to a specific object name.
- schema_
names list(string) - A filter to return only items related to specific schema name.
- subsetting
Policy StringId - The OCID of the subsetting policy.
- filters
List<Get
Subsetting Policy Subsetting Rules Filter> - objects List<String>
- A filter to return only items related to a specific object name.
- schema
Names List<String> - A filter to return only items related to specific schema name.
- subsetting
Policy stringId - The OCID of the subsetting policy.
- filters
Get
Subsetting Policy Subsetting Rules Filter[] - objects string[]
- A filter to return only items related to a specific object name.
- schema
Names string[] - A filter to return only items related to specific schema name.
- subsetting_
policy_ strid - The OCID of the subsetting policy.
- filters
Sequence[Get
Subsetting Policy Subsetting Rules Filter] - objects Sequence[str]
- A filter to return only items related to a specific object name.
- schema_
names Sequence[str] - A filter to return only items related to specific schema name.
- subsetting
Policy StringId - The OCID of the subsetting policy.
- filters List<Property Map>
- objects List<String>
- A filter to return only items related to a specific object name.
- schema
Names List<String> - A filter to return only items related to specific schema name.
getSubsettingPolicySubsettingRules Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Subsetting
Policy stringId - Subsetting
Rule List<GetCollections Subsetting Policy Subsetting Rules Subsetting Rule Collection> - The list of subsetting_rule_collection.
- Filters
List<Get
Subsetting Policy Subsetting Rules Filter> - Objects List<string>
- The name of the specific object (e.g., table) to be subsetted
- Schema
Names List<string> - The name of the schema containing the specific object to be subsetted
- Id string
- The provider-assigned unique ID for this managed resource.
- Subsetting
Policy stringId - Subsetting
Rule []GetCollections Subsetting Policy Subsetting Rules Subsetting Rule Collection - The list of subsetting_rule_collection.
- Filters
[]Get
Subsetting Policy Subsetting Rules Filter - Objects []string
- The name of the specific object (e.g., table) to be subsetted
- Schema
Names []string - The name of the schema containing the specific object to be subsetted
- id string
- The provider-assigned unique ID for this managed resource.
- subsetting_
policy_ stringid - subsetting_
rule_ list(object)collections - The list of subsetting_rule_collection.
- filters list(object)
- objects list(string)
- The name of the specific object (e.g., table) to be subsetted
- schema_
names list(string) - The name of the schema containing the specific object to be subsetted
- id String
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy StringId - subsetting
Rule List<GetCollections Subsetting Policy Subsetting Rules Subsetting Rule Collection> - The list of subsetting_rule_collection.
- filters
List<Get
Subsetting Policy Subsetting Rules Filter> - objects List<String>
- The name of the specific object (e.g., table) to be subsetted
- schema
Names List<String> - The name of the schema containing the specific object to be subsetted
- id string
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy stringId - subsetting
Rule GetCollections Subsetting Policy Subsetting Rules Subsetting Rule Collection[] - The list of subsetting_rule_collection.
- filters
Get
Subsetting Policy Subsetting Rules Filter[] - objects string[]
- The name of the specific object (e.g., table) to be subsetted
- schema
Names string[] - The name of the schema containing the specific object to be subsetted
- id str
- The provider-assigned unique ID for this managed resource.
- subsetting_
policy_ strid - subsetting_
rule_ Sequence[Getcollections Subsetting Policy Subsetting Rules Subsetting Rule Collection] - The list of subsetting_rule_collection.
- filters
Sequence[Get
Subsetting Policy Subsetting Rules Filter] - objects Sequence[str]
- The name of the specific object (e.g., table) to be subsetted
- schema_
names Sequence[str] - The name of the schema containing the specific object to be subsetted
- id String
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy StringId - subsetting
Rule List<Property Map>Collections - The list of subsetting_rule_collection.
- filters List<Property Map>
- objects List<String>
- The name of the specific object (e.g., table) to be subsetted
- schema
Names List<String> - The name of the schema containing the specific object to be subsetted
Supporting Types
GetSubsettingPolicySubsettingRulesFilter
GetSubsettingPolicySubsettingRulesSubsettingRuleCollection
GetSubsettingPolicySubsettingRulesSubsettingRuleCollectionItem
- Description string
- The description of the subset rule
- Display
Name string - The display name of the subset rule
- Key string
- The unique key that identifies a subsetting rule. The key is numeric and unique within a subsetting policy
- Peer
Tables stringAction - Strategy to be applied while processing peer tables
- string
- Strategy to be applied while propagating subsetting rule to related tables
- Rule
Combination stringMode - Specifies how this rule combines with other rules. UNION evaluates this rule independently and adds matching rows to the result set. SERIAL applies this rule sequentially to filter rows selected by a compatible preceding rule.
- Scope
Get
Subsetting Policy Subsetting Rules Subsetting Rule Collection Item Scope - The scope of the subset rule
- Subset
Rule GetEntry Subsetting Policy Subsetting Rules Subsetting Rule Collection Item Subset Rule Entry - The details of the subset rule
- Subsetting
Policy stringId - The OCID of the subsetting policy.
- Description string
- The description of the subset rule
- Display
Name string - The display name of the subset rule
- Key string
- The unique key that identifies a subsetting rule. The key is numeric and unique within a subsetting policy
- Peer
Tables stringAction - Strategy to be applied while processing peer tables
- string
- Strategy to be applied while propagating subsetting rule to related tables
- Rule
Combination stringMode - Specifies how this rule combines with other rules. UNION evaluates this rule independently and adds matching rows to the result set. SERIAL applies this rule sequentially to filter rows selected by a compatible preceding rule.
- Scope
Get
Subsetting Policy Subsetting Rules Subsetting Rule Collection Item Scope - The scope of the subset rule
- Subset
Rule GetEntry Subsetting Policy Subsetting Rules Subsetting Rule Collection Item Subset Rule Entry - The details of the subset rule
- Subsetting
Policy stringId - The OCID of the subsetting policy.
- description string
- The description of the subset rule
- display_
name string - The display name of the subset rule
- key string
- The unique key that identifies a subsetting rule. The key is numeric and unique within a subsetting policy
- peer_
tables_ stringaction - Strategy to be applied while processing peer tables
- string
- Strategy to be applied while propagating subsetting rule to related tables
- rule_
combination_ stringmode - Specifies how this rule combines with other rules. UNION evaluates this rule independently and adds matching rows to the result set. SERIAL applies this rule sequentially to filter rows selected by a compatible preceding rule.
- scope object
- The scope of the subset rule
- subset_
rule_ objectentry - The details of the subset rule
- subsetting_
policy_ stringid - The OCID of the subsetting policy.
- description String
- The description of the subset rule
- display
Name String - The display name of the subset rule
- key String
- The unique key that identifies a subsetting rule. The key is numeric and unique within a subsetting policy
- peer
Tables StringAction - Strategy to be applied while processing peer tables
- String
- Strategy to be applied while propagating subsetting rule to related tables
- rule
Combination StringMode - Specifies how this rule combines with other rules. UNION evaluates this rule independently and adds matching rows to the result set. SERIAL applies this rule sequentially to filter rows selected by a compatible preceding rule.
- scope
Get
Subsetting Policy Subsetting Rules Subsetting Rule Collection Item Scope - The scope of the subset rule
- subset
Rule GetEntry Subsetting Policy Subsetting Rules Subsetting Rule Collection Item Subset Rule Entry - The details of the subset rule
- subsetting
Policy StringId - The OCID of the subsetting policy.
- description string
- The description of the subset rule
- display
Name string - The display name of the subset rule
- key string
- The unique key that identifies a subsetting rule. The key is numeric and unique within a subsetting policy
- peer
Tables stringAction - Strategy to be applied while processing peer tables
- string
- Strategy to be applied while propagating subsetting rule to related tables
- rule
Combination stringMode - Specifies how this rule combines with other rules. UNION evaluates this rule independently and adds matching rows to the result set. SERIAL applies this rule sequentially to filter rows selected by a compatible preceding rule.
- scope
Get
Subsetting Policy Subsetting Rules Subsetting Rule Collection Item Scope - The scope of the subset rule
- subset
Rule GetEntry Subsetting Policy Subsetting Rules Subsetting Rule Collection Item Subset Rule Entry - The details of the subset rule
- subsetting
Policy stringId - The OCID of the subsetting policy.
- description str
- The description of the subset rule
- display_
name str - The display name of the subset rule
- key str
- The unique key that identifies a subsetting rule. The key is numeric and unique within a subsetting policy
- peer_
tables_ straction - Strategy to be applied while processing peer tables
- str
- Strategy to be applied while propagating subsetting rule to related tables
- rule_
combination_ strmode - Specifies how this rule combines with other rules. UNION evaluates this rule independently and adds matching rows to the result set. SERIAL applies this rule sequentially to filter rows selected by a compatible preceding rule.
- scope
Get
Subsetting Policy Subsetting Rules Subsetting Rule Collection Item Scope - The scope of the subset rule
- subset_
rule_ Getentry Subsetting Policy Subsetting Rules Subsetting Rule Collection Item Subset Rule Entry - The details of the subset rule
- subsetting_
policy_ strid - The OCID of the subsetting policy.
- description String
- The description of the subset rule
- display
Name String - The display name of the subset rule
- key String
- The unique key that identifies a subsetting rule. The key is numeric and unique within a subsetting policy
- peer
Tables StringAction - Strategy to be applied while processing peer tables
- String
- Strategy to be applied while propagating subsetting rule to related tables
- rule
Combination StringMode - Specifies how this rule combines with other rules. UNION evaluates this rule independently and adds matching rows to the result set. SERIAL applies this rule sequentially to filter rows selected by a compatible preceding rule.
- scope Property Map
- The scope of the subset rule
- subset
Rule Property MapEntry - The details of the subset rule
- subsetting
Policy StringId - The OCID of the subsetting policy.
GetSubsettingPolicySubsettingRulesSubsettingRuleCollectionItemScope
- Object string
- A filter to return only items related to a specific object name.
- Schema
Name string - A filter to return only items related to specific schema name.
- Scope
Type string - Scope of a subsetting rule
- Object string
- A filter to return only items related to a specific object name.
- Schema
Name string - A filter to return only items related to specific schema name.
- Scope
Type string - Scope of a subsetting rule
- object string
- A filter to return only items related to a specific object name.
- schema_
name string - A filter to return only items related to specific schema name.
- scope_
type string - Scope of a subsetting rule
- object String
- A filter to return only items related to a specific object name.
- schema
Name String - A filter to return only items related to specific schema name.
- scope
Type String - Scope of a subsetting rule
- object string
- A filter to return only items related to a specific object name.
- schema
Name string - A filter to return only items related to specific schema name.
- scope
Type string - Scope of a subsetting rule
- object str
- A filter to return only items related to a specific object name.
- schema_
name str - A filter to return only items related to specific schema name.
- scope_
type str - Scope of a subsetting rule
- object String
- A filter to return only items related to a specific object name.
- schema
Name String - A filter to return only items related to specific schema name.
- scope
Type String - Scope of a subsetting rule
GetSubsettingPolicySubsettingRulesSubsettingRuleCollectionItemSubsetRuleEntry
- Condition string
- The SQL WHERE clause condition used to filter rows for the subset
- Partitions
Lists List<string> - A list of partition names which are to be part of the subset data
- Percent int
- The percentage of rows to retain in the subset (between 0 and 100)
- Rule
Type string - type of subset rule
- Sub
Partitions List<string>Lists - A list of sub-partition names which are to be part of the subset data. The sub-partition names should have the partition name also, separated by a dot
- Condition string
- The SQL WHERE clause condition used to filter rows for the subset
- Partitions
Lists []string - A list of partition names which are to be part of the subset data
- Percent int
- The percentage of rows to retain in the subset (between 0 and 100)
- Rule
Type string - type of subset rule
- Sub
Partitions []stringLists - A list of sub-partition names which are to be part of the subset data. The sub-partition names should have the partition name also, separated by a dot
- condition string
- The SQL WHERE clause condition used to filter rows for the subset
- partitions_
lists list(string) - A list of partition names which are to be part of the subset data
- percent number
- The percentage of rows to retain in the subset (between 0 and 100)
- rule_
type string - type of subset rule
- sub_
partitions_ list(string)lists - A list of sub-partition names which are to be part of the subset data. The sub-partition names should have the partition name also, separated by a dot
- condition String
- The SQL WHERE clause condition used to filter rows for the subset
- partitions
Lists List<String> - A list of partition names which are to be part of the subset data
- percent Integer
- The percentage of rows to retain in the subset (between 0 and 100)
- rule
Type String - type of subset rule
- sub
Partitions List<String>Lists - A list of sub-partition names which are to be part of the subset data. The sub-partition names should have the partition name also, separated by a dot
- condition string
- The SQL WHERE clause condition used to filter rows for the subset
- partitions
Lists string[] - A list of partition names which are to be part of the subset data
- percent number
- The percentage of rows to retain in the subset (between 0 and 100)
- rule
Type string - type of subset rule
- sub
Partitions string[]Lists - A list of sub-partition names which are to be part of the subset data. The sub-partition names should have the partition name also, separated by a dot
- condition str
- The SQL WHERE clause condition used to filter rows for the subset
- partitions_
lists Sequence[str] - A list of partition names which are to be part of the subset data
- percent int
- The percentage of rows to retain in the subset (between 0 and 100)
- rule_
type str - type of subset rule
- sub_
partitions_ Sequence[str]lists - A list of sub-partition names which are to be part of the subset data. The sub-partition names should have the partition name also, separated by a dot
- condition String
- The SQL WHERE clause condition used to filter rows for the subset
- partitions
Lists List<String> - A list of partition names which are to be part of the subset data
- percent Number
- The percentage of rows to retain in the subset (between 0 and 100)
- rule
Type String - type of subset rule
- sub
Partitions List<String>Lists - A list of sub-partition names which are to be part of the subset data. The sub-partition names should have the partition name also, separated by a dot
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
published on Thursday, Oct 22, 2026 by Pulumi